Skip to main content

PaginatedCallsResponse

200 body of GET /calls — the Bland-style limit/offset list envelope.

statusstringrequired

Always success.

countintegerrequired

Number of calls on this page.

total_countintegerrequired

Total calls matching the filters.

calls object[]required
  • Array [
  • call_iduuidrequired
    phone_numberstringrequired
    call_statusstringrequired
    outcomestringnullablerequired
    created_atdate-timerequired
    duration_secondsintegernullablerequired
    has_recordingbooleanrequired
    pathway_idstringnullablerequired
    summarystringnullablerequired
  • ]
  • PaginatedCallsResponse
    {
    "status": "string",
    "count": 0,
    "total_count": 0,
    "calls": [
    {
    "call_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "phone_number": "string",
    "call_status": "string",
    "outcome": "string",
    "created_at": "2024-07-29T15:51:28.071Z",
    "duration_seconds": 0,
    "has_recording": true,
    "pathway_id": "string",
    "summary": "string"
    }
    ]
    }